Summary:        Interactive CLI for MySQL Database with auto-completion and syntax highlighting
Name:           mycli
Version:        1.7.0
Release:        1%{?dist}
License:        BSD
URL:            http://mycli.net
Source0:        https://pypi.python.org/packages/source/m/mycli/mycli-%{version}.tar.gz
Patch01:        mycli-1.7.0-mv-authors.patch
Patch02:        mycli-1.7.0-sqlparse.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-click >= 4.1
requires:       python3-crypto => 2.6.1
Requires:       python3-pygments >= 2.0
Requires:       python3-prompt_toolkit >= 1.0.0
Requires:       python3-PyMySQL >= 0.6.2
Requires:       python3-sqlparse >= 0.1.18
Requires:       python3-configobj >= 5.0.6
Requires:       python3-setuptools
%description
Nice interactive shell for MySQL Database with auto-completion and
syntax highlighting.

%prep
%setup -q
%patch01 -p1
%patch02 -p1
rm -rf mycli.egg-info
mv AUTHORS SPONSORS mycli/
sed -i -e '1 d' mycli/main.py

%build
%{py3_build}

%install
%{py3_install}

%files
%license LICENSE.txt
%doc mycli/AUTHORS README.md mycli/SPONSORS
%{_bindir}/mycli
%{python3_sitelib}/mycli
%{python3_sitelib}/mycli-%{version}-py?.?.egg-info

%changelog
* Fri May 13 2016 Terje Rosten <terje.rosten@ntnu.no> - 1.7.0-1
- 1.7.0

* Sun Mar 27 2016 Terje Rosten <terje.rosten@ntnu.no> - 1.6.0-1
- 1.6.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 07 2016 Terje Rosten <terje.rosten@ntnu.no> - 1.5.2-4
- Add patch to enable prompt_toolkit 0.57 support.

* Thu Jan 07 2016 Terje Rosten <terje.rosten@ntnu.no> - 1.5.2-3
- Remove configobj patch
- Use name macro

* Sun Jan 03 2016 Terje Rosten <terje.rosten@ntnu.no> - 1.5.2-2
- remove egginfo
- fix deps and summary

* Sat Jan 02 2016 Terje Rosten <terje.rosten@ntnu.no> - 1.5.2-1
- initial package

